Description

Starting emacs-24.3 with the current (M$) distribution produced a warning about the file name _emacs being

obsolescent/deprecated.  I suggest moving the file into .emacs.d/init.el thus avoiding M$ problems with files whose names begin

with a dot.

Perhaps we should adopt the same convention for all distributions?  To me it does seem almost redundant to have both the file 

.emacs and the directory .emacs.d/; I think it would be neater to have everything together in the .emacs.d/ directory.

Comments? Opinions?

History

#1 - 22 Jan 2014 16:37 - Anna Maria Bigatti

John Abbott wrote:

Starting emacs-24.3 with the current (M$) distribution produced a warning about the file name _emacs being obsolescent/deprecated.  I suggest

moving the file into .emacs.d/init.el thus avoiding M$ problems with files whose names begin with a dot.

Perhaps we should adopt the same convention for all distributions?  To me it does seem almost redundant to have both the file .emacs and the

directory .emacs.d/; I think it would be neater to have everything together in the .emacs.d/ directory.

 

I don't have enough experience with M$ (except for installing cocoa on students' computers).  I'm not sure it's wise to create .emacs.d/ directory:

would that be recognised even though it starts with a dot?

I still have on my mac .emacs file.  Is the directory better for some philosophical/practical reason?

Comments? Opinions?

#2 - 22 Jan 2014 17:26 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10
The current distribution for M$ already includes a .emacs.d directory, so it is certainly possible to create one, and M$ seems to accept without much

fuss.

I have both .emacs and .emacs.d/ on my computer; it seems neater to me to have everything together in one place.  I suppose I have a personal

preference for putting it all in .emacs.d/ but no good technical reason springs to mind.

Maybe I should try it on my machine before recommending that everyone else does so :-)

#3 - 24 Jan 2014 12:16 - John Abbott

Anna is unconvinced by the idea of forcing the user to accept a whole directory.  Perhaps we could use the alternative init file name .emacs.el; at

least the suffix gives a good clue that the file contains emacs lisp code.

#4 - 24 Jan 2014 13:54 - John Abbott

If we were to use .emacs.d/ then we could put cocoa.el there; this could make installation easier?

I doubt that this is sufficient motivation to force the user to accept the directory .emacs.d/

#5 - 02 Apr 2014 09:50 - Anna Maria Bigatti

- Category set to EmacsUI

- Target version set to CoCoA-5.1.0 Easter14

#6 - 17 Apr 2014 18:53 - John Abbott

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to Low

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

- Estimated time set to 7.00 h

#7 - 02 Jul 2014 16:09 - Anna Maria Bigatti

- Subject changed from Name of emacs init file to Emacs UI: Name of emacs init file

#8 - 22 Jul 2014 11:21 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?
